
.grid {
    @supports (display: grid) {
        display: grid;
        grid-gap: .75rem;
        grid-template-columns: repeat(auto-fill, minmax(400px,1fr));
        grid-auto-rows: 40px;
        .item {
            width: auto;
            max-width: none;
            margin: 0;
        }
    }
}

@each $n in (1,2,3) {
    .grid-row-#{$n} {
        grid-row-end: span $n;
    }
}